commit 44d597bb389e6410cbc5f5cff14f752f06f176c2
Author: Timo Sirainen <timo.sirainen@dovecot.fi>
Date:   Sun Apr 9 15:48:59 2017 +0300

    fts-solr: Don't double-escape headers.

diff --git a/src/plugins/fts-solr/fts-backend-solr.c b/src/plugins/fts-solr/fts-backend-solr.c
index 2287056..46d1974 100644
--- a/src/plugins/fts-solr/fts-backend-solr.c
+++ b/src/plugins/fts-solr/fts-backend-solr.c
@@ -349,7 +349,8 @@ fts_backend_solr_doc_close(struct solr_fts_backend_update_context *ctx)
 	}
 	array_foreach_modifiable(&ctx->fields, field) {
 		str_printfa(ctx->cmd, "<field name=\"%s\">", field->key);
-		xml_encode_data(ctx->cmd, str_data(field->value), str_len(field->value));
+		/* the values are already xml-escaped */
+		str_append_str(ctx->cmd, field->value);
 		str_append(ctx->cmd, "</field>");
 		str_truncate(field->value, 0);
 	}
